/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ArticuloSala;
import com.cosmodas.EntCosmos.Productosucursal;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ArticuloSalaFacadeLocal {

    void create(ArticuloSala articuloSala);

    void edit(ArticuloSala articuloSala);

    void remove(ArticuloSala articuloSala);

    ArticuloSala find(Object id);

    List<ArticuloSala> findAll();

    List<ArticuloSala> findRange(int[] range);

    int count();

    List<Productosucursal> ObtenerArticulos(String premioCodigo, String sucursalCodigo);

}
